<div>Registro <br><p style="color: red">{{mensaje_go}}</p></div>

<div>
  <form action="{{url('/')}}" method="POST">
    Email <input type="email" name="txt_email" required><br>
    Nombre <input type="text" name="txt_nombre" required><br>
    Clave <input type="password" name="txt_clave" required><br>
    Pais <select type="email" name="sl_pais" id="sl_pais" onchange="departamentos(this)">
      <option value="0">Seleccione</option>
      {% if paises %}
        {% for item in paises %}
          <option value="{{item.id_pais}}">{{item.pais}}</option>
        {% endfor %}
      {% endif %}
    </select>
    Departamento <select  name="sl_dep" id="sl_dep" onchange="ciudades(this)">
    </select>
    Ciudad <select  name="sl_ciudad" id="sl_ciudad" required>
    </select>
    <br>

    <br><button>Registrar</button>
    <input type="hidden" name="txt_Accion" value="1">
  </form>

  <form action="{{url('/')}}" method="POST">
    <br><br>Inicio de session <br>
    Email <input type="email" name="txt_email" required><br>
    Clave <input type="password" name="txt_clave" required><br>
    <input type="hidden" name="txt_Accion" value="2">
    <br>

    <button>Login</button>

  </form>
</div>

<script type="text/javascript">

  

  function departamentos($var_Id){
    var urlActual = window.location.protocol + '//' + window.location.host + '/';
    var url = urlActual+"index/departamentos";
    
  if ($var_Id.value > 0) {
    $.ajax({
          type: "POST",
          url: url,
          data:
          {
              id: $var_Id.value
          },
          dataType: 'JSON',
          success: function (data) {
              console.log(data);
              colocar_departamentos(data);
          },
          error: function (err) {
              alert('error al llamar solicitar operadores');
              console.log(err);
          }

      });
  }

    

  }

  function ciudades($var_Id){
    var urlActual = window.location.protocol + '//' + window.location.host + '/';
    var url = urlActual+"index/ciudades";
    
  if ($var_Id.value > 0) {
    $.ajax({
          type: "POST",
          url: url,
          data:
          {
              id: $var_Id.value
          },
          dataType: 'JSON',
          success: function (data) {
              console.log(data);
              colocar_ciudades(data);
          },
          error: function (err) {
              alert('error al llamar solicitar operadores');
              console.log(err);
          }

      });
  }
  
    

  }

  function colocar_departamentos($arr_data){
console.log("Entro colocar_departamentos"); 
            if ($arr_data.data != null) {
console.log($arr_data.data);  
                $var_Option = '<option value="0">Seleccione Departamento</option>';
                $("#sl_dep").empty().append($($var_Option));
                $arr_data.data.forEach(function(item_int) {
                  
                  if (item_int.id_departamento!=null) {
                    $var_Option = '<option class="valor_asignado" value="' + item_int.id_departamento + '">' + item_int.departamento + '</option>';
                     console.log($var_Option);
                    $("#sl_dep").append($($var_Option));
                  }
                  
                });
            }else{
console.log("Datos vacio");
            }
  }

  function colocar_ciudades($arr_data){
console.log("Entro colocar_ciudades"); 
            if ($arr_data.data != null) {
console.log($arr_data.data);  
                $var_Option = '<option value="0">Seleccione Ciudad</option>';
                $("#sl_ciudad").empty().append($($var_Option));
                $arr_data.data.forEach(function(item_int) {
                  console.log(item_int.id_ciudad);
                  if (item_int.id_ciudad!=null) {
                    $var_Option = '<option class="valor_asignado" value="' + item_int.id_ciudad + '">' + item_int.ciudad + '</option>';
                     console.log($var_Option);
                    $("#sl_ciudad").append($($var_Option));
                  }
                  
                });
            }else{
console.log("Datos vacio");
            }
  }
</script>